<template>
<v-container fluid py-0>
  <!-- <v-list class="hidden-sm-and-up pl-0 ml-0"> -->
    <!--   <v-list-item selectable class="px-0"> -->
      <!--     <v-btn icon class="mr-3" :to="backurl"> -->
        <!--       <v-icon>{{mdiArrowLeft}}</v-icon> -->
        <!--     </v-btn> -->
      <!--     <v-list-item-content> -->
        <!--       <v-list-item-title class="title"><slot></slot></v-list-item-title> -->
        <!--       <\!-- <v-list-item-subtitle><slot></slot></v-list-item-subtitle> -\-> -->
          <!--     </v-list-item-content> -->
      <!--   </v-list-item> -->
    <!-- </v-list> -->
  <v-row align="center">
    <v-col class="col-auto hidden-sm-and-up">
    <v-btn icon to="/" @click="reset">
      <v-icon>{{mdiArrowLeft}}</v-icon>
    </v-btn>
    </v-col>
    <v-col>
      <h1 class="text-subtitle-1 text-sm-h4"><slot></slot></h1>
    </v-col>
  </v-row>
</v-container>
</template>


<script>
import { bus as Tabs } from '@/common/NavigationTabs.vue';
import {
  mdiArrowLeft,
} from '@mdi/js';

export default {
  data: () => ({
    mdiArrowLeft,
  }),
  methods: {
    reset() {
      Tabs.$emit('reset');
    },
  },
  props: {
    title: String,
    backurl: String,
  },
};
</script>
